Page MenuHomePhabricator

Flow Notifications for New Topics are not visible in the flyout
Closed, ResolvedPublic

Description

With one account, I made a new post at https://www.mediawiki.org/wiki/Talk:Sandbox
With a second account that is watchlisting that page, I received an updated Red Badge (1), and the flyout said "Message (1)", but the item itself was not visible in the flyout.


When I close the flyout, and then re-open it again, it is displaying the "Alerts" tab. So it is somehow marking the topic as visited/read. (possibly a separate issue, or just interconnected).

(reported by Hhhippo at https://www.mediawiki.org/wiki/Topic:S7lij74qkba2lq3r )

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.25wmf11Fix new topic notifications not displaying
mediawiki/extensions/Flow : masterFix new topic notifications not displaying

Event Timeline

Quiddity created this task.Dec 9 2014, 3:50 AM
Quiddity raised the priority of this task from to High.
Quiddity updated the task description. (Show Details)
Quiddity changed Security from none to None.
Quiddity added a subscriber: Quiddity.
Mattflaschen-WMF raised the priority of this task from High to Unbreak Now!.Dec 9 2014, 4:10 AM

The actual notification itself is missing:

JSON:

"292": {
    "id": "292",
    "type": "flow-new-topic",
    "category": "flow-discussion",
    "timestamp": {
        "utcunix": "1418100472",
        "unix": "1418100472",
        "mw": "20141209044752",
        "date": "Today"
    },
    "title": {
        "full": "Talk:Sandbox",
        "namespace": "Talk",
        "namespace-key": 1,
        "text": "Sandbox"
    },
    "agent": {
        "id": 0,
        "name": "10.0.2.2"
    },
    "read": "20141209045022",
    "targetpage": "",
    "*": ""
}

Note the '*' field, where it should be.

XML:

<notification id="292" type="flow-new-topic" category="flow-discussion" read="20141209045022" targetpage="" xml:space="preserve" />

The notification element should have children.

Change 178588 had a related patch set uploaded (by Mattflaschen):
Fix new topic notifications not displaying

https://gerrit.wikimedia.org/r/178588

Patch-For-Review

When I close the flyout, and then re-open it again, it is displaying the "Alerts" tab. So it is somehow marking the topic as visited/read. (possibly a separate issue, or just interconnected).

It turns out that it deliberately marks broken (unformattable) events as read so we don't continually show a red 1 for an event they can't currently see.

Change 178588 merged by jenkins-bot:
Fix new topic notifications not displaying

https://gerrit.wikimedia.org/r/178588

Elitre added a subscriber: Elitre.Dec 10 2014, 8:36 PM

Change 179013 had a related patch set uploaded (by Mattflaschen):
Fix new topic notifications not displaying

https://gerrit.wikimedia.org/r/179013

Patch-For-Review

Change 179013 merged by jenkins-bot:
Fix new topic notifications not displaying

https://gerrit.wikimedia.org/r/179013

Quiddity closed this task as Resolved.Dec 15 2014, 7:10 PM

Confirmed as working on enwiki and mediawiki.